Summary: Traditional Unix macro processor
Name: m4
Version: 1.4.17
Release: r0.0
License: GPLv3
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6()(64bit)
Provides: elf(buildid) = 25f5be90f7abaa33253a6483be58a86b516b9dc2

%description
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.

%package -n m4-dbg
Summary: Traditional Unix macro processor - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: m4 = 1.4.17-r0.0

%description -n m4-dbg
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n m4-staticdev
Summary: Traditional Unix macro processor - Development files (Static Libraries)
Group: devel
Requires: m4-dev = 1.4.17-r0.0

%description -n m4-staticdev
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.  This package contains static libraries for software
development.

%package -n m4-dev
Summary: Traditional Unix macro processor - Development files
Group: devel
Requires: m4 = 1.4.17-r0.0
Suggests: libc6-dev

%description -n m4-dev
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.  This package contains symbolic links, header files, and
related items necessary for software development.

%package -n m4-doc
Summary: Traditional Unix macro processor - Documentation files
Group: doc

%description -n m4-doc
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.  This package contains documentation.

%package -n m4-locale
Summary: Traditional Unix macro processor
Group: base

%description -n m4-locale
GNU m4 is an implementation of the traditional Unix macro processor.  It is
mostly SVR4 compatible although it has some extensions (for example,
handling more than 9 positional parameters to macros). GNU M4 also has
built-in functions for including files, running shell commands, doing
arithmetic, etc.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/m4"

%files -n m4-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/m4"
%dir "/usr/src/debug"
%dir "/usr/src/debug/m4"
%dir "/usr/src/debug/m4/1.4.17-r0"
%dir "/usr/src/debug/m4/1.4.17-r0/build"
%dir "/usr/src/debug/m4/1.4.17-r0/m4-1.4.17"
%dir "/usr/src/debug/m4/1.4.17-r0/build/lib"
"/usr/src/debug/m4/1.4.17-r0/build/lib/getopt.h"
"/usr/src/debug/m4/1.4.17-r0/build/lib/string.h"
"/usr/src/debug/m4/1.4.17-r0/build/lib/fcntl.h"
"/usr/src/debug/m4/1.4.17-r0/build/lib/stdio.h"
%dir "/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib"
%dir "/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_anylinked_list2.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/tmpdir.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xvasprintf.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/execute.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fcntl.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/filenamecat-lgpl.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/cloexec.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_avltree_oset.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xvasprintf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/regex_internal.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/basename-lgpl.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_anytree_oset.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xalloc.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/str-two-way.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xsize.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/closein.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/c-strcaseeq.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/verror.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/vasprintf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/spawn-pipe.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/filenamecat.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/wait-process.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/vasnprintf.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/obstack.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/printf-parse.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/memchr2.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/c-stack.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/getopt.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/unistd-safer.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_linkedhash_list.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/mkstemp-safer.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fatal-signal.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xmalloc.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/sig-handler.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/regex.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/freadahead.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/getopt1.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/malloca.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/quotearg.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/isnan.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/version-etc.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_linkedhash_list.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/spawn-pipe.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xprintf.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/printf-args.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fopen-safer.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/isnanl-nolibm.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xasprintf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/execute.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/exitfail.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xprintf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/dup-safer.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_oset.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xmalloca.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_anyhash_list2.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/version-etc-fsf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/verror.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/version-etc.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/progname.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/c-stack.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/clean-temp.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fflush.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/regexec.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_xoset.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fpucw.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/stdio-safer.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/stdlib-safer.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/regcomp.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/localcharset.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/regex_internal.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/pipe-safer.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/dirname.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/close-stream.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/tmpdir.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_anyhash_list1.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/clean-temp.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fatal-signal.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/close-stream.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_list.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/memchr2.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/closeout.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/vasnprintf.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/strstr.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xmalloca.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/printf-args.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/malloca.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/wait-process.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fd-safer.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/xalloc-die.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/quotearg.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/cloexec.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/closeout.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/error.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/filenamecat.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/getopt_int.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/progname.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/printf-parse.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_anylinked_list1.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/freadahead.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/exitfail.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fclose.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/fseeko.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_avltree_oset.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/gl_xlist.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/localcharset.h"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/lib/memchr.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/symtab.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/path.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/m4.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/format.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/freeze.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/eval.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/debug.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/builtin.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/output.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/input.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/macro.c"
"/usr/src/debug/m4/1.4.17-r0/m4-1.4.17/src/m4.h"

%files -n m4-dev
%defattr(-,-,-,-)

%files -n m4-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/info"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/m4.1"
"/usr/share/info/m4.info"
"/usr/share/info/m4.info-1"
"/usr/share/info/m4.info-2"

